xine-lib: demux_mpgaudio_t Struct Reference

xine-lib 1.2.12

Data Fields
demux_mpgaudio_t Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
input_plugin_t * | input
int | status
uint32_t | stream_length
int | br
uint32_t | blocksize
mpg_audio_frame_t | cur_frame
mpg_audio_frame_t | next_frame
double | cur_time
off_t | mpg_frame_start
off_t | mpg_frame_end
off_t | mpg_size
int | check_vbr_header
xing_header_t * | xing_header
vbri_header_t * | vbri_header
unsigned int | found_next_frame: 1
int | free_bitrate_count
off_t | free_bitrate_size
uint8_t | next_header [4]
int | mpg_version
int | mpg_layer
int | valid_frames

## Field Documentation

## ◆ audio_fifo

fifo_buffer_t* demux_mpgaudio_t::audio_fifo

## ◆ blocksize

uint32_t demux_mpgaudio_t::blocksize

## ◆ br

int demux_mpgaudio_t::br

## ◆ check_vbr_header

int demux_mpgaudio_t::check_vbr_header

## ◆ cur_frame

mpg_audio_frame_t demux_mpgaudio_t::cur_frame

## ◆ cur_time

double demux_mpgaudio_t::cur_time

## ◆ demux_plugin

demux_plugin_t demux_mpgaudio_t::demux_plugin

## ◆ found_next_frame

unsigned int demux_mpgaudio_t::found_next_frame

## ◆ free_bitrate_count

int demux_mpgaudio_t::free_bitrate_count

## ◆ free_bitrate_size

off_t demux_mpgaudio_t::free_bitrate_size

## ◆ input

input_plugin_t* demux_mpgaudio_t::input

## ◆ mpg_frame_end

off_t demux_mpgaudio_t::mpg_frame_end

## ◆ mpg_frame_start

off_t demux_mpgaudio_t::mpg_frame_start

## ◆ mpg_layer

int demux_mpgaudio_t::mpg_layer

## ◆ mpg_size

off_t demux_mpgaudio_t::mpg_size

## ◆ mpg_version

int demux_mpgaudio_t::mpg_version

## ◆ next_frame

mpg_audio_frame_t demux_mpgaudio_t::next_frame

## ◆ next_header

uint8_t demux_mpgaudio_t::next_header[4]

## ◆ status

int demux_mpgaudio_t::status

## ◆ stream

xine_stream_t* demux_mpgaudio_t::stream

## ◆ stream_length

uint32_t demux_mpgaudio_t::stream_length

## ◆ valid_frames

int demux_mpgaudio_t::valid_frames

## ◆ vbri_header

vbri_header_t* demux_mpgaudio_t::vbri_header

## ◆ xing_header

xing_header_t* demux_mpgaudio_t::xing_header

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_mpgaudio.c